Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/26047/?format=api
{ "ob_id": 26047, "uuid": "c0c7998800414e46b6823dc75751bb4c", "title": "Envelope field of Northern hemispheric upper tropospheric (300 hPa) quasi-stationary waves (June 1979 to August 2015)", "abstract": "This dataset comprises 12 hourly data of the envelope field of Northern hemispheric upper tropospheric (300 hPa) quasi-stationary waves calculated between1979-06-01 and 2015-08-31. The data were derived as part of the NERC funded ODYSEA project (Ocean Dynamics as Driver of Seasonal to Decadal European Atmospheric variability).\r\n\r\nThe envelope field in this dataset is a phase-independent measure of the wave amplitude and is derived from the meridional wind at 300 hPa of the ERA-Interim reanalysis data. To remove the faster transient signals a 15-day lowpass filter was applied to the meridional wind and then subtracted from a daily climatology. The envelope field allows for the identification of a slowly evolving stationary or slowly moving wave packet.\r\n\r\nFull details of the method are described in the methodology statement that can be found in the docs section.", "keywords": "quasi-stationary waves, wave packet, NE/M006107/1", "publicationState": "citable", "dataPublishedTime": "2018-04-20T07:56:19", "doiPublishedTime": null, "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/26045/?format=api", "dataPath": "/badc/deposited2018/odysea/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 827302534, "numberOfFiles": 2, "fileFormat": "The data are provided in a single NetCDF file. " }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/7033/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/741/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/51981/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/59154/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/59155/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/70812/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/70813/?format=api" ], "dataLineage": "The data were produced as part of the NERC project Ocean Dynamics as Driver of Seasonal to Decadal European Atmospheric variability (ODYSEA; NE/M006107/1) and passed to the Centre for Environmental Data Analysis (CEDA) for archival and distribution.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/9554/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/26048/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/26049/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/109026/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/109029/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/109030/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/109033/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/109022/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/109027/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/109028/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/109031/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/109034/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/148630/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/109023/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/109032/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/109024/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/109025/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/26046/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }